feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.MutableReference

# Documentation

data MutableReference a where

Constructors

NewRef :: Type a => MutableReference (a :-> Full (Mut (IORef a))) |
GetRef :: Type a => MutableReference (IORef a :-> Full (Mut a)) |
SetRef :: Type a => MutableReference (IORef a :-> (a :-> Full (Mut ()))) |

Instances

EvalBind MutableReference |
Semantic MutableReference |
Eval MutableReference |
Render MutableReference |
ToTree MutableReference |
Equality MutableReference |
SizeProp MutableReference |
Sharable MutableReference |
(:<: MutableReference dom, Optimize dom dom) => Optimize MutableReference dom |
AlphaEq dom dom dom env => AlphaEq MutableReference MutableReference dom env |